Last Comment Bug 612265 - "Always use Google to subscribe to feeds" setting ignored
: "Always use Google to subscribe to feeds" setting ignored
Status: RESOLVED FIXED
: fixed-seamonkey2.0.12
Product: SeaMonkey
Classification: Client Software
Component: Feed Discovery and Preview (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 06:09 PST by Tristan Miller
Modified: 2010-12-01 13:49 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch [Checkin: comments 4 and 7] (1.15 KB, patch)
2010-11-16 15:33 PST, Jens Hatlak (:InvisibleSmiley)
neil: review+
kairo: approval‑seamonkey2.0.12+
Details | Diff | Splinter Review

Description Tristan Miller 2010-11-15 06:09:29 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.15) Gecko/20101026 SUSE/2.0.10-1.1 SeaMonkey/2.0.10
Build Identifier: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.15) Gecko/20101026 SUSE/2.0.10-1.1 SeaMonkey/2.0.10

When I click on the feed icon in the location bar and select a feed from the drop-down list, SeaMonkey displays a page with a preview of the feed, and overtop that the following message:

Subscribe to this feed using [ News & Blogs ]
[ ] Always use News & Blogs to subscribe to feeds.
                         [ Subscribe Now ]

I use Google Reader as my aggregator, so I select "Google" from the drop down box, check the box next to "Always use Google to subscribe to feeds.", and then click on "Subscribe Now".  The feed is then added to Google Reader.

However, the next time I try to a subscribe to a feed, I get the same dialog.  Shouldn't having checked "Always use Google to subscribe to feeds" bypassed this?

I am not sure if this happens only with Google, or if it happens no matter what aggregator you select from the drop-down menu.

Reproducible: Always
Comment 1 Jens Hatlak (:InvisibleSmiley) 2010-11-16 14:10:22 PST
Confirming with current trunk on Win7. For some reason the browser.feeds.handler pref is not set to "reader" as happens with Minefield (Firefox trunk).

Setting version to Trunk because the bug it too minor to be fixed on branch anyway.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-11-16 15:33:41 PST
Created attachment 491005 [details] [diff] [review]
patch [Checkin: comments 4 and 7]

Cf. bug 415372 comment 45.
Comment 3 neil@parkwaycc.co.uk 2010-11-16 16:08:13 PST
Comment on attachment 491005 [details] [diff] [review]
patch [Checkin: comments 4 and 7]

Don't call it a "minor" patch, call it a "low risk" patch ;-)
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-11-17 10:00:34 PST
Comment on attachment 491005 [details] [diff] [review]
patch [Checkin: comments 4 and 7]

http://hg.mozilla.org/comm-central/rev/681a70c2ce94
Comment 5 Jens Hatlak (:InvisibleSmiley) 2010-11-17 10:02:24 PST
(In reply to comment #3)
> Don't call it a "minor" patch, call it a "low risk" patch ;-)

Sounds like you suggest taking this for the next branch release... Anyway, this should bake at least some days/weeks on trunk first. Then asking for branch approval cannot hurt.
Comment 6 Jens Hatlak (:InvisibleSmiley) 2010-12-01 13:41:46 PST
Comment on attachment 491005 [details] [diff] [review]
patch [Checkin: comments 4 and 7]

FTR: This patch doesn't apply 1:1 to the 2.0 branch (the switch condition details have changed), so technically I should have attached a new patch. Since it's still only a one line removal I'll just check in the correct patch, though.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2010-12-01 13:49:02 PST
Comment on attachment 491005 [details] [diff] [review]
patch [Checkin: comments 4 and 7]

http://hg.mozilla.org/releases/comm-1.9.1/rev/aa7f017b0531

Note You need to log in before you can comment on or make changes to this bug.